Versionsreinigungswartung schlägt mit „unfähig, referenzierte Knoten zu löschen“ fehl | AEM 6.2

Problem

Beim Ausführen der laufenden Versionsreinigung werden Fehler, die dem folgenden Beispiel ähnlich sind, in den Protokollen beobachtet:

01.11.2016 12:37:09.425 *ERROR* [0:0:0:0:0:0:0:1 [1478000197059] POST /etc/versioning/purge.html HTTP/1.1] com.day.cq.wcm.core.impl.VersionManagerImpl Unable to purge version 1.1 for /content/we-retail/language-masters/es/jcr:content : OakIntegrity0001: Unable to delete referenced node
javax.jcr.ReferentialIntegrityException: OakIntegrity0001: Unable to delete referenced node
     at org.apache.jackrabbit.oak.api.CommitFailedException.asRepositoryException(CommitFailedException.java:235)
     at org.apache.jackrabbit.oak.api.CommitFailedException.asRepositoryException(CommitFailedException.java:212)
     at org.apache.jackrabbit.oak.jcr.version.ReadWriteVersionManager.removeVersion(ReadWriteVersionManager.java:243)
     at org.apache.jackrabbit.oak.jcr.delegate.VersionManagerDelegate.removeVersion(VersionManagerDelegate.java:226)
     at org.apache.jackrabbit.oak.jcr.delegate.VersionHistoryDelegate.removeVersion(VersionHistoryDelegate.java:209)
     at org.apache.jackrabbit.oak.jcr.version.VersionHistoryImpl$11.performVoid(VersionHistoryImpl.java:240)
     at org.apache.jackrabbit.oak.jcr.delegate.SessionDelegate.performVoid(SessionDelegate.java:274)
     at org.apache.jackrabbit.oak.jcr.version.VersionHistoryImpl.removeVersion(VersionHistoryImpl.java:236)
     at com.day.cq.wcm.core.impl.VersionManagerImpl.purgeVersions(VersionManagerImpl.java:466)
     at org.apache.jsp.libs.wcm.core.components.versionpurge.POST_jsp$Processor.internalProcess(POST_jsp.java:145)
     at org.apache.jsp.libs.wcm.core.components.versionpurge.POST_jsp$Processor.process(POST_jsp.java:121)
     at org.apache.jsp.libs.wcm.core.components.versionpurge.POST_jsp._jspService(POST_jsp.java:404)

Ursache

Dieses ist ein bekanntes Produktproblem CQ-104193.

Lösung

Eine Korrektur dieses Problems ist in AEM 6.2 SP1 und CFP2 enthalten. Um das Problem zu beheben, installieren Sie das aktuelle kumulative Fix-Pack für AEM 6.2.

 Adobe

Schneller und einfacher Hilfe erhalten

Neuer Benutzer?

Adobe MAX 2024

Adobe MAX
Die Konferenz für Kreative

14. bis 16. Oktober in Miami Beach und online

Adobe MAX

Die Konferenz für Kreative

14. bis 16. Oktober in Miami Beach und online

Adobe MAX 2024

Adobe MAX
Die Konferenz für Kreative

14. bis 16. Oktober in Miami Beach und online

Adobe MAX

Die Konferenz für Kreative

14. bis 16. Oktober in Miami Beach und online